hadoop-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Harsh J <ha...@cloudera.com>
Subject Re: Building Mahout Issue
Date Tue, 03 Jun 2014 08:23:38 GMT
This is not a Hadoop issue per-se. Its Mahout not having a build
profile that supports hadoop-2. It appears this was only added for
1.0, per https://issues.apache.org/jira/browse/MAHOUT-1329.

As a hack you could modify the 0.9's pom.xml to use "hadoop-client"
instead of "hadoop-core". You may have to make this change wherever
there's a "hadoop-core" reference, and may also have to fix some
trivial compile issues. A similar change I did a while ago for CDH4
(hadoop2 based) instead can be found at
https://github.com/QwertyManiac/mahout-cdh4/commit/e5e6e8a1847d15cb70156db479d46bfaf2f22d68.
This was done for 0.8 back then, but not much should have changed for
0.9 in build methods.

Hope this helps!

On Tue, Jun 3, 2014 at 12:38 AM, Botelho, Andrew <Andrew.Botelho@emc.com> wrote:
> I am trying to build Mahout version 0.9 and make it compatible with Hadoop
> 2.4.0.
>
> I unpacked mahout-distribution-0.9-src.tar.gz and then ran the following
> command:
>
>
>
> mvn –Phadoop-0.23 clean install –Dhadoop.version=2.4.0 –DskipTests
>
>
>
> Then I get the following error:
>
> [ERROR] Failed to execute goal on project mahout-integration: Could not
> resolve dependencies for project
> org.apache.mahout:mahout-integration:jar:0.9: Could not find artifact
> org.apache.hadoop:hadoop-core:jar:2.4.0 in central
> (http://repo.maven.apache.org/maven2) -> [Help 1]
>
>
>
> Any ideas what is causing this problem and how to fix it?  Any advice would
> be much appreciated.
>
>
>
> Thanks,
>
>
>
> Andrew Botelho
>
> Intern
>
> EMC Corporation
>
> Education Services
>
> Email: andrew.botelho@emc.com



-- 
Harsh J

Mime
View raw message